package com.nantian.cloud.dbcapp.carbon.domain.carbonAccount;


import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.metadata.BaseRowModel;
import com.nantian.cloud.dbcapp.tool.ExcelAnnotation;
import org.apache.poi.ss.usermodel.HorizontalAlignment;

@HeadFontStyle(bold = true,fontHeightInPoints = 10)
@ContentStyle(shrinkToFit = true,horizontalAlignment = HorizontalAlignment.CENTER)
@ExcelIgnoreUnannotated
public class InstrumentDetailVo extends BaseRowModel {
    //导出重写
//    @Excel(name = "计量器具名称")
    @ExcelProperty(value = {"计量器具名称"}, index = 0)
    @ExcelAnnotation("计量器具名称")
    private String name;

    //    @Excel(name = "规格型号")
    @ExcelProperty(value = {"规格型号"}, index = 1)
    @ExcelAnnotation("规格型号")
    private String model;

    //    @Excel(name = "准确度等级")
    @ExcelProperty(value = {"准确度等级"}, index = 2)
    @ExcelAnnotation("准确度等级")
    private String grade;

    //    @Excel(name = "测量范围")
    @ExcelProperty(value = {"测量范围"}, index = 3)
    @ExcelAnnotation("测量范围")
    private String range;

    //    @Excel(name = "生产厂家")
    @ExcelProperty(value = {"生产厂家"}, index = 4)
    @ExcelAnnotation("生产厂家")
    private String manufacturer;

    //    @Excel(name = "出厂编号")
    @ExcelProperty(value = {"出厂编号"}, index = 5)
    @ExcelAnnotation("出厂编号")
    private String code;

    //    @Excel(name = "安装使用地点")
    @ExcelProperty(value = {"安装使用地点"}, index = 6)
    @ExcelAnnotation("安装使用地点")
    private String address;

    //    @Excel(name = "类别")
    @ExcelProperty(value = {"类别"}, index = 7)
    @ExcelAnnotation("类别")
    private String categoryName;

    //    @Excel(name = "计量器具层级")
    @ExcelProperty(value = {"计量器具层级"}, index = 8)
    @ExcelAnnotation("计量器具层级")
    private String levelName;

    //    @Excel(name = "检定周期（天）")
    @ExcelProperty(value = {"检定周期（天）"}, index = 9)
    @ExcelAnnotation("检定周期（天")
    private Integer checkDay;

    //    @Excel(name = "用能单位管理编号")
    @ExcelProperty(value = {"用能单位管理编号"}, index = 10)
    @ExcelAnnotation("用能单位管理编号")
    private String entCode;

    //    @Excel(name = "状态")
    @ExcelProperty(value = {"状态"}, index = 11)
    @ExcelAnnotation("状态")
    private String statu;

    private String entName;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getRange() {
        return range;
    }

    public void setRange(String range) {
        this.range = range;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public Integer getCheckDay() {
        return checkDay;
    }

    public void setCheckDay(Integer checkDay) {
        this.checkDay = checkDay;
    }

    public String getEntCode() {
        return entCode;
    }

    public void setEntCode(String entCode) {
        this.entCode = entCode;
    }

    public String getEntName() {
        return entName;
    }

    public void setEntName(String entName) {
        this.entName = entName;
    }

    public String getStatu() {
        return statu;
    }

    public void setStatu(String statu) {
        this.statu = statu;
    }


}
